(*
 * Copyright (C) 2004 Damien Pous
 * 
 * This file is part of GcPan.
 * 
 * GcPan is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GcPan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GcPan; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)

(* the GC-PAN *)

open Ast
open Comm

(* forwarders relocation mode *)
val relocation_mode: [ `Sync | `Async | `Mixed ] ref

(* pack requests when unblocking a forwarder *)
val pack_requests: bool ref

(* creation of an ambient with father h or host.root, named n *)
val create: ?host:GenComm.host -> ?h:channel -> ?n:string -> process -> channel*int
